<?php


class Constant
{
    protected $success_code = "202";
    protected $unknown_code = "204";
    protected $error_code = "206";
    protected $base_url_images = "../uploads/image/";

    protected $category_images;
    protected $brand_image_path;
    protected $shippingimages;
    protected $featured_banner_images;
    protected $products_images;
    protected $refundimages;
    protected $userimages;




    function __construct()
    {

        $this->category_images = $this->base_url_images . "app_category/";
        $this->brand_image_path = $this->base_url_images . "brand_image/";
        $this->shippingimages = $this->base_url_images . "shipping_image/";
        $this->featured_banner_images = $this->base_url_images . "featured_banner_image/";
        $this->products_images = $this->base_url_images . "product_image/";
        $this->refundimages = $this->base_url_images . "refund_image/";
        $this->userimages = $this->base_url_images . "user_image/";

    }


    /**
     * Get the value of success_code
     */
    public function getSuccess_code()
    {
        return $this->success_code;
    }

    /**
     * Set the value of success_code
     *
     * @return  self
     */
    public function setSuccess_code($success_code)
    {
        $this->success_code = $success_code;

        return $this;
    }

    /**
     * Get the value of unknown_code
     */
    public function getUnknown_code()
    {
        return $this->unknown_code;
    }

    /**
     * Set the value of unknown_code
     *
     * @return  self
     */
    public function setUnknown_code($unknown_code)
    {
        $this->unknown_code = $unknown_code;

        return $this;
    }

    /**
     * Get the value of error_code
     */
    public function getError_code()
    {
        return $this->error_code;
    }

    /**
     * Set the value of error_code
     *
     * @return  self
     */
    public function setError_code($error_code)
    {
        $this->error_code = $error_code;

        return $this;
    }

    /**
     * @return string
     */
    public function getShippingimages()
    {
        return $this->shippingimages;
    }

    /**
     * @param string $shippingimages
     */
    public function setShippingimages($shippingimages)
    {
        $this->shippingimages = $shippingimages;
    }

}


?>